
Redmine - Feature #11461

Reporters need to email code snippets to Redmine but tags are being stripped: this should be

configurable.

2012-07-20 09:23 - Chris Stephens

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We have setup Redmine so that reporters can email things in and they are automatically added. This is great but we need reporters

to send us code snippets and these are getting stripped out of the resulting description.

It would be great if 'tag stripping' or 'no tag stripping' was a preference on the 'Incoming emails' tag.

History

#1 - 2012-07-20 09:26 - Chris Stephens

BTW I tried using 

...

tags but this didn't work.    

Thanks.

#2 - 2012-07-20 09:26 - Chris Stephens

Oops. That was 'pre' and '/pre' tags...

#3 - 2012-07-20 10:03 - Chris Stephens

I'm presuming that the stripping is being done by :

@plain_text_body = strip_tags(@email.body.to_s)

 in mail_handler.rb and that it's kicking ion because my reporters are sending HTML emails.

I can't expect them to know to switch to Plain Text (they're marketers and totally non-technical. In fact, they hate anything technical.) so I guess what

I'm suggesting might be the brute force of not stripping any tags or allowing them to add a simple equivalent of 'pre' (perhaps '---') before and after the

code they need to send.

The last suggestion is not ideal either and arguably harder than switching to Plain Text but just might be something they can manage...

Any help or suggestions would be greatly appreciated!

:)

#4 - 2019-02-10 01:55 - Go MAEDA

- Category set to Email receiving

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #13284. This issue was already fixed in Redmine 3.1.0.
